Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] 1.4.5rc5 has been released
From: Paul H. Hargrove (PHHargrove_at_[hidden])
Date: 2012-02-07 17:37:40

On 2/7/2012 1:25 PM, Paul H. Hargrove wrote:
> So far I see only two problems that remain:
> + I can't build w/ the PGI compilers on MacOS Lion.
> This was previously reported in
> + Building w/ Solaris Studio 12.2 or 12.3 on Linux x86-64, with "-m32"
> required setting LD_LIBRARY_PATH.
> This is could either be Oracle's bug in the compiler, or a libtool
> problem.
> My report was:

With more of my results back, I can add the following to the
known-but-not-resolved list:

+ "make check" fails atomics tests using GCCFSS-4.0.4 compilers on
Originally reported in:
This is a matter of the Sun/Oracle fork of GCC (known as GCC For SPARC
Systems, or GCCFSS) being buggy with respect to GNU inline asm.
The original failures were with gccfss-4.0.4, but am now retested with
I'll report on those results later.

Due to a scripting error, all these tests are actually against the
openmpi-1.4.5rc5r25855 tarball rather than the genuine 1.4.5rc5.
I doubt there is any meaningful difference, but figured full disclosure
is best :-).


Paul H. Hargrove                          PHHargrove_at_[hidden]
Future Technologies Group
HPC Research Department                   Tel: +1-510-495-2352
Lawrence Berkeley National Laboratory     Fax: +1-510-486-6900